> For the complete documentation index, see [llms.txt](https://docs.espressosys.com/network/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.espressosys.com/network/developer/espresso-api/earlier-versions/espresso-api.md).

# v0

API `v0` was the default API version from genesis until the proof-of-stake upgrade. Proof-of-stake launched on testnet on April 15, 2025 and on Mainnet in March 2026, after which `v1` became the default API version. `v0` continues to be supported indefinitely; however, certain endpoints will fail when querying for data originating after the proof-of-stake upgrade, and fields of certain types added in the proof-of-stake upgrade are not accessible via this API.

The differences between `v0`and the subsequent version `v1`are:

* `v0`lacks new fields which were added to the `Leaf`type in `v1` . For leaves created before the proof-of-stake upgrade, the leaf structure without these fields is equivalent to the new structure. However, for leaves created after the proof-of-stake upgrade, it will be impossible to compute accurate commitments or verify consensus artifacts using the `v0`API.
  * `next_epoch_justify_qc`
  * `next_drb_result`
  * `with_epoch`
* `v0`lacks new fields which were added to the `QC` type in `v1` . For QCs created before the proof-of-stake upgrade, the QC structure without these fields is equivalent to the new structure. However, for QCs created after the proof-of-stake upgrade, it will be impossible to compute accurate commitments or verify consensus artifacts using the `v0`API.
  * `epoch`
* The types of VID artifacts (VID shares, [VID common](/network/developer/espresso-api.md#vidcommon), and [namespace proofs](/network/developer/espresso-api.md#nsproof)) are different in `v0`and `v1`. For blocks created before the proof-of-stake upgrade, the VID types are equivalent, and any proofs using these types can still be verified using the information returned by the `v0`API. However, the new version of the Rust SDK will not be able to deserialize the `v0`types, and for blocks created after the proof-of-stake upgrade, the `v0`endpoints will return errors.
* `v0`lacks all APIs related to rewards state
* `v0`lacks the `availability/state-cert/:epoch`and `catchup/:height/leafchain`APIs which are necessary for running a consensus client after proof of stake
* `v0`lacks the convenience endpoint `node/stake-table`for fetching the latest stake table from a trusted server


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.espressosys.com/network/developer/espresso-api/earlier-versions/espresso-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
